# Uses of Interface
io.papermc.paper.entity.SchoolableFish

Packages that use SchoolableFish
Package
Description
com.destroystokyo.paper.entity.ai
io.papermc.paper.entity
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of SchoolableFish in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type SchoolableFish
Modifier and Type
Field
Description
`static final GoalKey<SchoolableFish>`
VanillaGoal.`FOLLOW_FLOCK_LEADER`

## Uses of SchoolableFish in io.papermc.paper.entity

Methods in io.papermc.paper.entity that return SchoolableFish
Modifier and Type
Method
Description
`@Nullable SchoolableFish`
SchoolableFish.`getSchoolLeader()`
Gets the fish that this entity is currently following.
Methods in io.papermc.paper.entity with parameters of type SchoolableFish
Modifier and Type
Method
Description
`void`
SchoolableFish.`startFollowing(@NotNull SchoolableFish leader)`
Forces this fish to follow the given fish.

## Uses of SchoolableFish in org.bukkit.entity

Subinterfaces of SchoolableFish in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`Cod`
Represents a cod fish.
`interface`
`Salmon`
Represents a salmon fish.
`interface`
`TropicalFish`
Tropical fish.